{% extends 'layout.twig' %}

{% block body %}
	<style>

		#zoom_CODE_SIG {
			left: 531px;
		}
		#zoom_GROUPE_SIG {
			left: 531px;
		}
	</style>
	<div class="contenu clearfix" id="commandes">

		<h1>
			{% if H1 %}
				{{ H1 }}
			{% else %}
				{{ 'Signature' | trad }}
			{% endif %}
		</h1>

		{{ ariane() }}

		<h2>{{ titre }}</h2>

		<div class="padding15">
			<form action="" method="post" name="form_ChangementSignature" id="form_ChangementSignature" class="bg_form border_form padding_form clearfix">
				<div class="colonne2">
					{% if listeChoix %}
						<div class="row">
							{{ inputSelect('', 'listeChoix', listeChoix, '', '', '', '', true, 'changeSignat', '[$("#input_listeChoix").val() ]' , '', false, trad ['Choisir dans la liste'] , '', '', '', '', '', '', '' ,'width:554px;') }}
						</div>
					{% endif %}

					<div class="row" {% if listeChoix %}style="display:none;"{% endif %} id="collapseSignataireSimple">
						{{ inputAdvance('ZOOMADVANCE', {
							'titre'           : '',
							'name'            : 'CODE_SIG',
							'obligatoire'     : true,
							'pahtZoom'        : pathHastutil ? pathHastutil : path('Ajax.liste.utilisateur'),
							'paramZoom'       : pathHastutil ? "{}":"{" ~ champFiltre ~ " : '1'}",
							'entity'          : 'HASTUTIL',
							'placeholder'     : 'Signataire',
							'addCss'          : 'width:554px;',
							'titleZoom'       : 'Liste des signataires' | trad,
							'pathConvert'     : path('Ajax.outil.convertLibelle'),
							'convertLibelle'  : 'convertLibelleGlobal',
							'pathValidator'   : path('Ajax.validator.zoom'),
							'paramsValidator' : "{'entity' : 'HASTUTIL','nomChamp' : '"~ 'Signataire' | trad ~"', 'null' : false, 'post' : {filter_" ~ champFiltre ~ " : 'T'}}",
							'value'           : '',	
						}) }}
					</div>


					<div class="row" style="display:none;" id="collapseSignataireGroupe">
						{{ inputAdvance('ZOOMADVANCE', {
							'titre'           : '',
							'name'            : 'GROUPE_SIG',
							'obligatoire'     : true,
							'pahtZoom'        : path('Ajax.liste.groupeSignataire'),
							'entity' 		  : 'WfGrpSig',
							'placeholder'     : 'Groupe Signataire',
							'addCss'          : 'width:554px',
							'titleZoom'       : 'Liste des Groupes signataires' | trad,
							'pathConvert'     : path('Ajax.outil.convertLibelle'),
							'convertLibelle'  : 'convertLibelleGlobal',
					
							'value'           : '',
						}) }}
					</div>
				</div>
				<div class="colonne2 last">
					{% if PARAM.MDP_ACTIF %}	
						<div class="row">
							{{ inputPassword('Mot de passe' | trad, 'MDP', post.MDP, '', path('Ajax.validator.isStringSansEspace'), "{'sizeMin' : '0', 'sizeMax' : '45'}" ) }}
						</div>
					{% else %}
						<input type="hidden" name="MDP"  value=""/>
					{% endif %}
				</div>

				<div class="button_right full">
					<a type="button" class="button secondaire" href="{{ pathRetour }}">{{ 'Annuler' | trad }}</a>
					<a class="button principal" onclick="SendChangement('{{ pathSend }}');">{{ 'Envoyer' | trad }}</a>
				</div>
			</form>
		</div>
	</div>
<script>
	$('#input_listeChoix').change(function(){
		if($(this).val() == '') {
			$('#collapseSignataireSimple').hide();
			$('#collapseSignataireGroupe').hide();
		}
	})
	function SendChangement(path)
	{
		activeLoader();
		$.ajax({
			dataType : 'html',
			url: path,
			data: $('#form_ChangementSignature').serialize(),
			type: "POST",
			success: function(result){
				desactiveLoader();

				$("#modal-content").removeClass('modal_large modal_small').addClass('modal_small');
				$("#modal-body").html(result);
				activePopup ();
			}
		});
	}

	function changeSignat(val)
	{
		if(val == '')
		{
			$('#ajouterSignataire').attr("disabled", 'disabled');
			$('#ajouterSignataire').css( 'background-color' , '#888' ); 
		}
		if(val == 'GS')
		{
			$('#ajouterSignataire').css( 'background-color' , '' ); 
			$('#ajouterSignataire').css( 'cursor' , 'pointer' ); 
			$('#ajouterSignataire').prop("disabled", true);
			$('#ajouterSignataire').removeAttr("disabled");
			$('#collapseSignataireGroupe').removeAttr( 'style' );
		//$('#collapseSignataireGroupe').css( 'margin-left', '346px' );
		//$('#collapseSignataireGroupe').css( 'width', '829px' );
			$('#collapseSignataireSimple').css( 'display', 'none' );
		}
		else
		{
			$('#ajouterSignataire').css( 'background-color' , '' ); 
			$('#ajouterSignataire').css( 'cursor' , 'pointer' ); 
			$('#ajouterSignataire').prop("disabled", true);
			$('#ajouterSignataire').removeAttr("disabled");
			$('#collapseSignataireSimple').removeAttr( 'style' );
			//$('#collapseSignataireSimple').css( 'margin-left', '346px' );
			//$('#collapseSignataireSimple').css( 'width', '829px' );
			$('#collapseSignataireGroupe').css( 'display', 'none' );
		}
	}

</script>

{% endblock %}
